For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set panel password

Set panel password for a specified virtual machine.

Set panel password

put

Set panel password for a specified virtual machine.

If virtual machine does not use panel OS, the request will still be processed without any effect. Requirements for password are same as in the recreate virtual machine endpoint.

Use this endpoint to configure control panel access credentials for VPS instances.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
virtualMachineIdintegerRequired

Virtual Machine ID

Example: 1268054
Body
passwordstring · password · min: 8Required

Panel password for the virtual machine

Example: oMeNRustosIO
Responses
200

Success response

application/json
idintegerOptional

Action ID

Example: 8123712
namestringOptional

Action name

Example: action_name
statestring · enumOptional

Action state

Example: successPossible values:
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:00Z
updated_atstring · date-timeOptionalExample: 2025-02-27T11:58:00Z
put/api/vps/v1/virtual-machines/{virtualMachineId}/panel-password
PUT /api/vps/v1/virtual-machines/{virtualMachineId}/panel-password HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "password": "oMeNRustosIO"
}
{
  "id": 8123712,
  "name": "action_name",
  "state": "success",
  "created_at": "2025-02-27T11:54:00Z",
  "updated_at": "2025-02-27T11:58:00Z"
}

Last updated

Was this helpful?